# tbb::flow::interface6::split_node< TupleType, Allocator > Class Template Reference

split_node: accepts a tuple as input, forwards each element of the tuple to its More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface6::split_node< TupleType, Allocator >:

List of all members.

## Classes
struct | splitting_body
## Public Types
typedef base_type::output_ports_type | output_ports_type
typedef TupleType | input_type
typedef Allocator | allocator_type
## Public Member Functions
| split_node (graph &g)
| split_node (const split_node &other)

## Detailed Description

### template<typename TupleType, typename Allocator = cache_aligned_allocator<TupleType>>
class tbb::flow::interface6::split_node< TupleType, Allocator >

split_node: accepts a tuple as input, forwards each element of the tuple to its

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.